%global gitdate 2020829
%global commit f8146c6635fbe07eb4ddaa36009d21e29250a897
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Summary: 	Lavanet Screensaver
Name: 		lavanet
Version: 	1.git%{shortcommit}
Release:        2%{?dist}
License: 	GPL
URL: 		https://github.com/RobertZenz/xscreensavers/
Source0:	https://github.com/RobertZenz/xscreensavers/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  libX11-devel

%description
An additional hack for xscreensaver.

%prep
%autosetup -n xscreensavers-%{commit}

%build
cd lavanet/src/
%set_build_flags
make %{?_smp_mflags} CFLAGS="$CFLAGS"

%install
install -D -m 755 lavanet/src/%{name} $RPM_BUILD_ROOT/%{_libexecdir}/xscreensaver/%{name}
#install -D -m 644 %{name}.xml $RPM_BUILD_ROOT/%{_datadir}/xscreensaver/config/%{name}.xml

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/xscreensaver/hacks.conf.d
echo 'GL:         lavanet -root\n\' > $RPM_BUILD_ROOT/%{_datadir}/xscreensaver/hacks.conf.d/%{name}.conf

%post
if [ -x %{_sbindir}/update-xscreensaver-hacks ] ; then
    %{_sbindir}/update-xscreensaver-hacks || :
fi

%postun
if [ -x %{_sbindir}/update-xscreensaver-hacks ] ; then
    %{_sbindir}/update-xscreensaver-hacks || :
fi

%files
%defattr(-,root,root)
#%config(noreplace) %{_datadir}/xscreensaver/config/lavanet.xml
%{_datadir}/xscreensaver/hacks.conf.d/lavanet.conf
%{_libexecdir}/xscreensaver/lavanet

%changelog
* Sat Oct 17 2020 josef radinger <cheese@nosuchhost.net> - 1.gitf8146c6-2
- fix URL

* Sun Aug 30 2020 josef radinger <cheese@nosuchhost.net> - 1.gitf8146c6-1
- Initial packaging
